MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031313Open CASCADE[OCCT] OCCT:Foundation Classespublic2020-01-23 11:172020-07-04 12:31
Reporternds 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031313: Foundation Classes - Dump improvement for classes
DescriptionContinue implementing DumpJson methods introduced in 0030949.
Additional information
and documentation updates
Patch adds +432 KiB to 64-bit OCCT build with msvc14.
TagsNo tags attached.
Test case numberNot required
Attached Filespng file icon dump_presentation.png (35,278 bytes) 2020-01-24 10:09

- Relationships
parent of 0031322verifiedbugmaster Open CASCADE Visualization, Select3D_SensitiveEntity - method NbSubElements() should be const 
parent of 0031326assignednds Open CASCADE Foundation Classes - Init from Json for base OCCT classes 
parent of 0031354assignednds Open CASCADE Visualization - Dump improvement for V3d, Graphic3d, Aspect 
parent of 0031494newnds Open CASCADE Mesh - Dump improvement for BRepMesh classes 
child of 0030949closedbugmaster Open CASCADE Foundation Classes - Dump improvement for OCCT classes 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0090037)
git (administrator)
2020-01-24 09:55

Branch CR31313 has been created by nds.

SHA-1: a62ac2e12316c9411aae04c9d2dee129da1aac16


Detailed log of new commits:

Author: nds
Date: Fri Jan 24 09:51:47 2020 +0300

    0030268: Inspectors - improvements in VInspector plugin
    
    # dump sentry does not append { ... } structure, only class name
    # dump for curve2d/surface2d/curve/surface brep structures
    # dump for primitive array parameters and buffer parameters
    # InitJson for primitive types
(0090038)
nds (developer)
2020-01-24 10:02

Dear Kirill,

could you please review modifications.

Please, pay attention on modifications in Standard_Dump:
- Standard_DumpSentry does not add "className": { ... },
only "className" : "<className>" into generated stream. In previous implementation, there were too much levels. Now, we only know about kind of the output class.

Also the patch has some initial code to parse json output for filling a variable.

Best regards, Natalia
(0090039)
nds (developer)
2020-01-24 10:10

On attached image, dump parsed by inspector (will be available after 0030268). Grey rows in property panes are the result of Standard_Dump current implementation.
(0090040)
kgv (developer)
2020-01-24 11:26

# dump sentry does not append { ... } structure, only class name
# dump for curve2d/surface2d/curve/surface brep structures
# dump for primitive array parameters and buffer parameters
# InitJson for primitive types

Git commit description is currently in form of temporary comments (e.g. to be removed by Bugmaster on integration).
Please reformat description in more common way, and probably extend (it looks incomplete for now).

+//=======================================================================
+//function : DumpJson
+//purpose  : 
+//=======================================================================

Please avoid trailing spacing in the patch.

+
+
+//=======================================================================

Please avoid more than 1 empty line in sequence.

+  Standard_EXPORT virtual void DumpJson (Standard_OStream& theOStream, const Standard_Integer theDepth 
= -1) const;

tip: it is probably worth omitting "const" from second argument to shorten repeated lines.
(0090045)
kgv (developer)
2020-01-24 14:40

+  for (NCollection_Vector<Handle(SelectMgr_SensitiveEntity)>::Iterator anIterator (myEntities); 
anIterator.More(); anIterator.Next())
+  {
+    Handle(SelectMgr_SensitiveEntity) anEntity = anIterator.Value();
+    OCCT_DUMP_FIELD_VALUES_DUMPED (theOStream, theDepth, anEntity.get());
+  }
+
+  OCCT_DUMP_FIELD_VALUE_NUMERICAL (theOStream, myMode);
+  OCCT_DUMP_FIELD_VALUE_NUMERICAL (theOStream, mySelectionState

General remark (above is only one sample): does it look better when children / arrays (of variable length) are displayed in front of common class fields (numeric / members) in Inspector? For me, it sounds more natural to list static fields first, and then lists of variable length.

+  OCCT_DUMP_CLASS_BEGIN (theOStream, AIS_InteractiveContext);

tip: we can define dedicated macros for classes within Standard_Transient hierarchy, so that to use method get_type_name() defined by DEFINE_STANDARD_RTTI instead of one more copy of class name in code.

+  BRep_ListIteratorOfListOfPointRepresentation itr(myPoints);
+  while (itr.More())
+  {
+    Handle(BRep_PointRepresentation) aPointRepresentation = itr.Value();
+    OCCT_DUMP_FIELD_VALUES_DUMPED (theOStream, theDepth, aPointRepresentation.get());
+
+    itr.Next();
+  }

tip: why "while" instead of more compact "for" in these cases?
+ for (BRep_ListIteratorOfListOfPointRepresentation itr(myPoints); itr.More(); itr.Next())
+ {
+ Handle(BRep_PointRepresentation) aPointRepresentation = itr.Value();
+ OCCT_DUMP_FIELD_VALUES_DUMPED (theOStream, theDepth, aPointRepresentation.get());
+ }

+  //! Inits the content of me into the stream
+  Standard_Boolean InitJson (const Standard_SStream& theSStream, Standard_Integer& theStreamPos)


The method name looks confusing - it looks more like "InitFromJson()".

+    Handle(Graphic3d_Group) aGroup = anIterator.Value();
+    OCCT_DUMP_FIELD_VALUES_DUMPED (theOStream, theDepth, aGroup.get());

const Handle(Graphic3d_Group)&

+  const Standard_Integer aNbPriorities = myArray.Length();
+  for (Standard_Integer aPriorityIter = 0; aPriorityIter < aNbPriorities; ++aPriorityIter)
+  {
+    const Graphic3d_IndexedMapOfStructure& aStructures = myArray (aPriorityIter);

for (Graphic3d_ArrayOfIndexedMapOfStructure::Iterator aMapIter (myArray); aMapIter.More(); aMapIter.Next())

+void Graphic3d_MaterialAspect::DumpJson (Standard_OStream& theOStream, const Standard_Integer theDepth) 
const
+{

myPBRMaterial is missing.

+void Graphic3d_ClipPlane::DumpJson (Standard_OStream& theOStream, const Standard_Integer theDepth) 
const
+{

myNextInChain is missing.

--- a/src/Graphic3d/Graphic3d_Structure.hxx
+++ b/src/Graphic3d/Graphic3d_Structure.hxx
@@ -432,6 +432,9 @@ public:
+  //! Dumps the content of me into the stream
+  Standard_EXPORT void DumpJson (Standard_OStream& theOStream, const Standard_Integer theDepth = 
-1) const;

Probably virtual, as there are several sub-classes (PrsMgr_Presentation, Prs3d_PresentationShadow).

--- a/src/Graphic3d/Graphic3d_ZLayerSettings.hxx
+++ b/src/Graphic3d/Graphic3d_ZLayerSettings.hxx
@@ -19,6 +19,7 @@
+  //! Dumps the content of me into the stream
+  Standard_EXPORT void DumpJson (Standard_OStream& theOStream, const Standard_Integer theDepth = 
-1) const
+  {

Redundant Standard_EXPORT.

+    OCCT_DUMP_FIELD_VALUE_NUMERICAL (theOStream, myToRenderInDepthPrepass);
+
+  }

Redundant empty line.

--- a/src/NCollection/NCollection_Buffer.hxx
+++ b/src/NCollection/NCollection_Buffer.hxx
+  //! Dumps the content of me into the stream
+  Standard_EXPORT virtual void DumpJson (Standard_OStream& theOStream, const Standard_Integer theDepth 
= -1) const
+  {

...
--- a/src/NCollection/NCollection_Vec3.hxx
+++ b/src/NCollection/NCollection_Vec3.hxx
...
--- a/src/NCollection/NCollection_Vec4.hxx
+++ b/src/NCollection/NCollection_Vec4.hxx
+  //! Dumps the content of me into the stream
+  Standard_EXPORT void DumpJson (Standard_OStream& theOStream, const Standard_Integer theDepth = 
-1) const
+  {

Redundant Standard_EXPORT.

+void OpenGl_Context::DumpJsonOpenGl (Standard_OStream& theOStream, const Standard_Integer)

DumpJsonOpenGlState?

+//! After, this matrices should be applyed using ApplyModelWorldMatrix, ApplyWorldViewMatrix,

these

+  static Standard_EXPORT void DumpJsonOpenGl (Standard_OStream& theOStream, const Standard_Integer 
theDepth = -1);

Wrong Standard_EXPORT placement.

+  //! Dumps the content of openGL into the stream

OpenGL state.

+void OpenGl_VertexBuffer::DumpJson (Standard_OStream& theOStream, const Standard_Integer theDepth) 
const
+{

Consider adding GetTarget() propery.

+    Handle(Graphic3d_Layer) aLayerId = aLayersIt.Value();
...
+    Handle(OpenGl_VertexBuffer) aVertexBuffer = aCrdsIt.Value();
...
+    Handle(PrsMgr_Presentation) aPresentation = anIterator.Value();
...
+    Handle(PrsMgr_PresentableObject) aChildObject = anIterator.Value();
...
+    Handle(Select3D_SensitiveEntity) anEntity = anIterator.Value();
...
+    Handle(SelectMgr_Selection) aSelection = anIterator.Value();

const Handle(Graphic3d_Layer)&
const Handle(OpenGl_VertexBuffer)&

+    OCCT_DUMP_FIELD_VALUES_NUMERICAL (theOStream, "myCurrent", 16,
+      myCurrent.GetValue (0, 0),  myCurrent.GetValue (0, 1), myCurrent.GetValue (0, 2),  myCurrent.GetValue 
(0, 3),

Cannot be dump of NCollection_Mat4 reused here?

+  if (!myNormals.IsNull())
+    OCCT_DUMP_FIELD_VALUE_NUMERICAL (theOStream, myNormals->Size());

Well, this will be awkard number ;).
Anyway, it should be after myUVNodes->Size(), not myTriangles.Size(), as it is per-vertex attribute.

-  Standard_EXPORT virtual Standard_Integer NbSubElements() Standard_OVERRIDE;
+  Standard_EXPORT virtual Standard_Integer NbSubElements() const Standard_OVERRIDE

Irrelevant API-nreaking changes are mixed in the patch.
It would be better moving these "const" amendments into dedicated patch.
These changes require also to be mentioned in upgrade guide.

+  //Graphic3d_WorldViewProjState                               myLastViewState; //!< Last view-projection 
state used for construction of BVH

Artefact.
(0090046)
kgv (developer)
2020-01-24 14:47

+Standard_Boolean  gp_Trsf::InitJson (const Standard_SStream& theSStream, Standard_Integer& theStreamPos)

...
+void  gp_Ax3::DumpJson (Standard_OStream& theOStream, const Standard_Integer) const
...
+Standard_Boolean  gp_Ax3::InitJson (const Standard_SStream& theSStream, Standard_Integer& theStreamPos)


Redundant space.

+#define OCCT_INIT_FIELD_VALUES_DUMPED(theSStream, theStreamPos, theField) \

Could you consider moving new InitJson mechanism to dedicated patch?
It covers small sub-set of classes, so it should be feasible.
(0090047)
kgv (developer)
2020-01-24 14:54

+  else if (TCollection_AsciiString (aName).EndsWith ("()"))

as aName is now TCollection_AsciiString, making TCollection_AsciiString (aName) looks redundant.
(0090048)
kgv (developer)
2020-01-24 14:57

New msvc14 compiler warning:
2>  Bnd_B3d_0.cxx
2>c:\occt_vc14_ex2\inc\../src/BVH/BVH_Box.hxx(217): warning C4800: 'Standard_Integer': forcing value 
to bool 'true' or 'false' (performance warning) (compiling source file ..\..\..\src\BVH\BVH.cxx)
2>  c:\occt_vc14_ex2\inc\../src/BVH/BVH_Box.hxx(212): note: while compiling class template member 
function 'Standard_Boolean BVH_Box<Standard_ShortReal,4>::InitJson(const Standard_SStream &,Standard_Integer 
&)' (compiling source file ..\..\..\src\BVH\BVH.cxx)
2>  ..\..\..\src\BVH\BVH.cxx(44): note: see reference to class template instantiation 'BVH_Box<Standard_ShortReal,4>' 
being compiled
(0090072)
git (administrator)
2020-01-27 11:01

Branch CR31313_1 has been created by nds.

SHA-1: e72c1449bc8bd307a137efc319cfd227f21c856a


Detailed log of new commits:

Author: nds
Date: Fri Jan 24 09:51:47 2020 +0300

    0031313: Foundation Classes - Dump improvement for classes
(0090073)
nds (developer)
2020-01-27 11:14

<< General remark (above is only one sample): does it look better when children / arrays (of variable length) are displayed in front of common class fields (numeric / members) in Inspector? For me, it sounds more natural to list static fields first, and then lists of variable length. >>
The intention is to have order of fields covered in DumpJson is the same as the the order of fields in header (declaration).
(0090075)
git (administrator)
2020-01-27 16:48

Branch CR31313_1 has been updated by nds.

SHA-1: fc6635be51d45d0c772bd03ab9d77d02f1da5ba2


Detailed log of new commits:

Author: nds
Date: Mon Jan 27 16:43:30 2020 +0300

    0031313: Foundation Classes - Dump improvement for classes
    
    # dumpJson for OCAF attributes
    
    (cherry picked from commit 527e41def08b3206903dd25f9abcc5b276882294)

(0090084)
git (administrator)
2020-01-28 07:36

Branch CR31313_2 has been created by nds.

SHA-1: 04d9654a9ecaa1af4a2d10ea0cebed80dccdfaab


Detailed log of new commits:

Author: nds
Date: Tue Jan 28 07:32:54 2020 +0300

    0031313: Foundation Classes - Dump improvement for classes
    
    # dump modifications
    # InitFromJson
    # NbSubElements is const
(0090088)
git (administrator)
2020-01-28 10:12

Branch CR31313_3 has been created by nds.

SHA-1: 25667d7eb0c8a0b286caeaf2eb4565fd8c60630d


Detailed log of new commits:

Author: nds
Date: Tue Jan 28 09:53:30 2020 +0300

    0031313: Foundation Classes - Dump improvement for classes
    
    # dump modifications
(0090090)
git (administrator)
2020-01-28 11:23

Branch CR31313_3 has been updated by nds.

SHA-1: 762befdfd0108d82a27f59e869a440fa6568fd52


Detailed log of new commits:

Author: nds
Date: Tue Jan 28 11:20:18 2020 +0300

    0031313: Foundation Classes - Dump improvement for classes
    
    # warnings correction on Mac
    
    Provide DumpJson for some geometrical and visualization instances;
    Change depth parameter of DumpJson not constant;
    Introduce a new macro for transient objects: OCCT_DUMP_TRANSIENT_CLASS_BEGIN to used for Standard_Transent, for others use OCCT_DUMP_CLASS_BEGIN;
    OCCT_DUMP_CLASS_BEGIN and OCCT_DUMP_TRANSIENT_CLASS_BEGIN are not sentry. These macros add "className": <className> into output stream.

(0090093)
git (administrator)
2020-01-28 11:59

Branch CR31313_3 has been updated by nds.

SHA-1: c9e2bea42158531b3c10647686a90a3a514a3403


Detailed log of new commits:

Author: nds
Date: Tue Jan 28 11:55:58 2020 +0300

    0031313: Foundation Classes - Dump improvement for classes
    
    # test case 30949 correction

(0090094)
git (administrator)
2020-01-28 12:07

Branch CR31313_4 has been created by nds.

SHA-1: abb64c0563d2a6c2bebc15e2a906a524bd102263


Detailed log of new commits:

Author: nds
Date: Tue Jan 28 12:03:38 2020 +0300

    0031313: Foundation Classes - Dump improvement for classes
    
    Provide DumpJson for geometrical and visualization classes;
    Change depth parameter of DumpJson (constant is not obligate here)
    Introduce a new macro for transient objects to be called as the first row in DumpJson: OCCT_DUMP_TRANSIENT_CLASS_BEGIN. We need not put the class name in the macro, using get_type_name of Standard_Transient for it.
    OCCT_DUMP_CLASS_BEGIN and OCCT_DUMP_TRANSIENT_CLASS_BEGIN implementation has changed. It is not a sentry.anActiveLightIter.
    These macros add "className": <className> into output stream instead of creating a new hierarchy level.
(0090100)
git (administrator)
2020-01-28 15:29

Branch CR31313_4 has been updated by nds.

SHA-1: c3f9ea044011bd7144f341b52f102b405c8770c9


Detailed log of new commits:

Author: nds
Date: Tue Jan 28 15:26:08 2020 +0300

    0031313: Foundation Classes - Dump improvement for classes
    
    # warnings on Debian, Mac correction

(0090102)
git (administrator)
2020-01-28 16:52

Branch CR31313_4 has been updated by nds.

SHA-1: f9ef7742a2e7f9f6cf9167554c4fb7318742eb50


Detailed log of new commits:

Author: nds
Date: Tue Jan 28 16:49:02 2020 +0300

    0031313: Foundation Classes - Dump improvement for classes
    
    # warnings on Debian correction

(0090127)
git (administrator)
2020-01-29 10:57

Branch CR31313_5 has been created by nds.

SHA-1: e64dac47c3507d895e42feb3998f3c9097d2ea7b


Detailed log of new commits:

Author: nds
Date: Tue Jan 28 12:03:38 2020 +0300

    0031313: Foundation Classes - Dump improvement for classes
    
    - Provide DumpJson for geometrical, ocaf and visualization classes;
    - Change depth parameter of DumpJson (constant is not obligate here)
    - Introduce a new macro for transient objects to be called as the first row in DumpJson: OCCT_DUMP_TRANSIENT_CLASS_BEGIN. We need not put the class name in the macro, using get_type_name of Standard_Transient for it.
    - change implementation of OCCT_DUMP_CLASS_BEGIN and OCCT_DUMP_TRANSIENT_CLASS_BEGIN. It is not an sentry more and it does not create a new hierarchy level. It appends a new row into the output stream: "className": <className>
    - OCCT_DUMP_* does not require semicolon
(0090130)
git (administrator)
2020-01-29 12:10

Branch CR31313_5 has been updated by nds.

SHA-1: 2d63e81694ae3b521407119e6a748e0e7fda1dc6


Detailed log of new commits:

Author: nds
Date: Wed Jan 29 12:07:03 2020 +0300

    0031313: Foundation Classes - Dump improvement for classes
    
    # compilation correction on Debian

(0090131)
git (administrator)
2020-01-29 12:13

Branch CR31313_5 has been updated by nds.

SHA-1: b500a45a14d5cc85708966f5f16363f63e68a364


Detailed log of new commits:

Author: nds
Date: Wed Jan 29 12:09:44 2020 +0300

    0031313: Foundation Classes - Dump improvement for classes
    
    # warning correction on VC14

(0090133)
git (administrator)
2020-01-29 12:38

Branch CR31313_3 has been deleted by nds.

SHA-1: c9e2bea42158531b3c10647686a90a3a514a3403
(0090135)
git (administrator)
2020-01-29 12:40

Branch CR31313_2 has been deleted by nds.

SHA-1: 04d9654a9ecaa1af4a2d10ea0cebed80dccdfaab
(0090137)
git (administrator)
2020-01-29 12:41

Branch CR31313_1 has been deleted by nds.

SHA-1: fc6635be51d45d0c772bd03ab9d77d02f1da5ba2
(0090150)
git (administrator)
2020-01-29 16:46

Branch CR31313_6 has been created by nds.

SHA-1: c7f8c183d7701ed9e556a0bdf862de7db3ec4c3b


Detailed log of new commits:

Author: nds
Date: Tue Jan 28 12:03:38 2020 +0300

    0031313: Foundation Classes - Dump improvement for classes
    
    - Provide DumpJson for geometrical, ocaf and visualization classes;
    - Change depth parameter of DumpJson (constant is not obligate here)
    - Introduce a new macro for transient objects to be called as the first row in DumpJson: OCCT_DUMP_TRANSIENT_CLASS_BEGIN. We need not put the class name in the macro, using get_type_name of Standard_Transient for it.
    - change implementation of OCCT_DUMP_CLASS_BEGIN and OCCT_DUMP_TRANSIENT_CLASS_BEGIN. It is not an sentry more and it does not create a new hierarchy level. It appends a new row into the output stream: "className": <className>
    - OCCT_DUMP_* does not require semicolon
(0090163)
git (administrator)
2020-01-29 17:36

Branch CR31313_7 has been created by nds.

SHA-1: b5feb171ce0a5ed7897b3b8c5cb3f5ce04dae60e


Detailed log of new commits:

Author: nds
Date: Tue Jan 28 12:03:38 2020 +0300

    0031313: Foundation Classes - Dump improvement for classes
    
    - Provide DumpJson for geometrical, ocaf and visualization classes;
    - Change depth parameter of DumpJson (constant is not obligate here)
    - Introduce a new macro for transient objects to be called as the first row in DumpJson: OCCT_DUMP_TRANSIENT_CLASS_BEGIN. We need not put the class name in the macro, using get_type_name of Standard_Transient for it.
    - change implementation of OCCT_DUMP_CLASS_BEGIN and OCCT_DUMP_TRANSIENT_CLASS_BEGIN. It is not an sentry more and it does not create a new hierarchy level. It appends a new row into the output stream: "className": <className>
    - OCCT_DUMP_* does not require semicolon
(0090172)
nds (developer)
2020-01-29 21:40
edited on: 2020-01-30 08:32

Dear Kirill,

could you please review the issue again. Your remarks are corrected, DumpJson for some OCAF attributes are implemented additionally.

Jenkins job is http://jenkins-test-12.nnov.opencascade.com/view/CR31313-master-NDS/. [^]

Thank you in advance, Natalia

(0090186)
git (administrator)
2020-01-30 08:44

Branch CR31313_6 has been deleted by nds.

SHA-1: c7f8c183d7701ed9e556a0bdf862de7db3ec4c3b
(0090187)
git (administrator)
2020-01-30 08:44

Branch CR31313_5 has been deleted by nds.

SHA-1: b500a45a14d5cc85708966f5f16363f63e68a364
(0090197)
kgv (developer)
2020-01-30 11:45

Please rebase patch on top of CR31322_2 for 0031322.

+TCollection_AsciiString Standard_Dump::DumpFieldToName (const TCollection_AsciiString theField)

const TCollection_AsciiString& theField

+  if (::LowerCase (aName.Value(1)) == 'a' && aName.Value (2) == 'n')
+  else if (::LowerCase (aName.Value(1)) == 'm' && aName.Value (2) == 'y')

This is unlikely, but it will raise an exception for a class fields "a" and "m".
And class fields "a", "an" and "my" will be dumped with empty name.
Probably protection should be added?

+// ----------------------------------------------------------------------------
+// SplitJson
+// ----------------------------------------------------------------------------
+Standard_Boolean Standard_Dump::SplitJson (const TCollection_AsciiString& theStreamStr,

Inconsistent topping for new methods in the file.

+      case Standard_JsonKey_Quote:
+      {
+        aProcessed = splitKeyToValue (theStreamStr, aNextIndex, aNextIndex, theKeyToValues);
+      }
+      break;

Please prefer 'break' put into brackets.

+        Standard_Integer aClosePos = nextClosePosition (theStreamStr, aStartIndex, Standard_JsonKey_OpenChild, 
Standard_JsonKey_CloseChild);
+        if (!aClosePos)
+          return Standard_False;
...
+  if (!aCloseIndex)
...
+    if (!aCloseKeyPos)
...
+      if (!aDepthKey)

Please prefer "aClosePos == 0" comparison for non-boolean values.

+  Standard_JsonKey aKey;

It is preferred initializing variables of primitive type, even if next call is expected to do that.

+    case Standard_JsonKey_SeparatorValueToValue: return ", ";
+    default: break;

It is better omitting 'default' case in switches, where all enumeration values are expected to be handled.

-//! - OCCT_DUMP_FIELD_VALUES_STRING. Use it for unlimited list of fields of TCollection_AsciiString 
types.
+//! - OCCT_DUMP_FIELD_VALUES_STRING. Use it for unlimited list of fields of TCollection_AsciiString 
types.F

Misprint.

+
+

Please keep single line.

+  Standard_DumpValue (const TCollection_AsciiString& theValue, const Standard_Integer& theStartPos)


Standard_Integer

+  Standard_DumpValue() {}

Consider initializing myStartPosition to 0.

+  //! \param theStream stream value
+  //! \param theKeyToValues [out] container of split values

Mixed Doyxgen styles (@ used in this file).

+  //! The one level stream example: <class_name>key_1\value_1\key_2\value_2</class_name>


Please check that this doesn't generate new Doxygen generator warnings.

--- a/src/TDataStd/TDataStd_Integer.cxx
+++ b/src/TDataStd/TDataStd_Integer.cxx
+#include <Standard_Dump.hxx>
...
--- a/src/TDataStd/TDataStd_IntegerArray.cxx
+++ b/src/TDataStd/TDataStd_IntegerArray.cxx 
+#include <Standard_Dump.hxx>
...
--- a/src/TDataStd/TDataStd_IntegerList.cxx
+++ b/src/TDataStd/TDataStd_IntegerList.cxx
...
--- a/src/TDataStd/TDataStd_Name.cxx
+++ b/src/TDataStd/TDataStd_Name.cxx
...
--- a/src/TDataStd/TDataStd_NoteBook.cxx
+++ b/src/TDataStd/TDataStd_NoteBook.cxx
...
--- a/src/TDataStd/TDataStd_Real.cxx
+++ b/src/TDataStd/TDataStd_Real.cxx
...
--- a/src/TDataStd/TDataStd_RealArray.cxx
+++ b/src/TDataStd/TDataStd_RealArray.cxx
...
--- a/src/TDataStd/TDataStd_RealList.cxx
+++ b/src/TDataStd/TDataStd_RealList.cxx
...
--- a/src/TDataStd/TDataStd_ReferenceArray.cxx
+++ b/src/TDataStd/TDataStd_ReferenceArray.cxx
...
--- a/src/TDataStd/TDataStd_ReferenceList.cxx
+++ b/src/TDataStd/TDataStd_ReferenceList.cxx
...
--- a/src/TDataStd/TDataStd_Relation.cxx
+++ b/src/TDataStd/TDataStd_Relation.cxx
...
--- a/src/TDataStd/TDataStd_Tick.cxx
+++ b/src/TDataStd/TDataStd_Tick.cxx
...
--- a/src/TDataStd/TDataStd_UAttribute.cxx
+++ b/src/TDataStd/TDataStd_UAttribute.cxx
...
--- a/src/TDataStd/TDataStd_Variable.cxx
+++ b/src/TDataStd/TDataStd_Variable.cxx
...
--- a/src/TDocStd/TDocStd_Application.cxx
+++ b/src/TDocStd/TDocStd_Application.cxx
...
--- a/src/TDocStd/TDocStd_Document.cxx
+++ b/src/TDocStd/TDocStd_Document.cxx
...
--- a/src/TDocStd/TDocStd_Owner.cxx
+++ b/src/TDocStd/TDocStd_Owner.cxx
...
--- a/src/XCAFDoc/XCAFDoc_Area.cxx
+++ b/src/XCAFDoc/XCAFDoc_Area.cxx
...
--- a/src/XCAFDoc/XCAFDoc_AssemblyItemId.cxx
+++ b/src/XCAFDoc/XCAFDoc_AssemblyItemId.cxx
...
--- a/src/XCAFDoc/XCAFDoc_AssemblyItemRef.cxx
+++ b/src/XCAFDoc/XCAFDoc_AssemblyItemRef.cxx
...
--- a/src/XCAFDoc/XCAFDoc_Color.cxx
+++ b/src/XCAFDoc/XCAFDoc_Color.cxx
...
--- a/src/XCAFDoc/XCAFDoc_ColorTool.cxx
+++ b/src/XCAFDoc/XCAFDoc_ColorTool.cxx
...
--- a/src/XCAFDoc/XCAFDoc_DimTol.cxx
+++ b/src/XCAFDoc/XCAFDoc_DimTol.cxx
...
--- a/src/XCAFDoc/XCAFDoc_GraphNode.cxx
+++ b/src/XCAFDoc/XCAFDoc_GraphNode.cxx
...
--- a/src/XCAFDoc/XCAFDoc_Material.cxx
+++ b/src/XCAFDoc/XCAFDoc_Material.cxx
...
--- a/src/XCAFDoc/XCAFDoc_Volume.cxx
+++ b/src/XCAFDoc/XCAFDoc_Volume.cxx
...

Please include class header first.

+  Standard_EXPORT virtual void DumpJson (Standard_OStream& theOStream, Standard_Integer theDepth 
= -1) const
+  {
+    OCCT_DUMP_CLASS_BEGIN (theOStream, XCAFDoc_VisMaterialCommon)
...
+  Standard_EXPORT virtual void DumpJson (Standard_OStream& theOStream, Standard_Integer theDepth 
= -1) const
+  {
+    OCCT_DUMP_CLASS_BEGIN (theOStream, XCAFDoc_VisMaterialPBR)

Unexpected Standard_EXPORT for inline methods.
Please remove "virtual" as these are plain structures with no virtual methods.
In addition, it seems "#include <Standard_Dump.hxx>" is missing in these files.

+void  gp_Ax3::DumpJson (Standard_OStream& theOStream, Standard_Integer) const

Double space.

+  OCCT_DUMP_FIELD_VALUE_GUID (theOStream, myID);

Semicolon.

+#define OCCT_DUMP_FIELD_VALUE_GUID(theOStream, theField) \
+{ \
+  TCollection_AsciiString aName = Standard_Dump::DumpFieldToName (#theField); \
+  Standard_Dump::AddValuesSeparator (theOStream); \
+  char aStr[256]; \
+  theField.ToCString (aStr); 

Why 256 instead of Standard_GUID_SIZE (which is 36)?
(0090202)
nds (developer)
2020-01-30 15:56

<<--- a/src/XCAFDoc/XCAFDoc_Material.cxx
+++ b/src/XCAFDoc/XCAFDoc_Material.cxx
...
--- a/src/XCAFDoc/XCAFDoc_Volume.cxx
+++ b/src/XCAFDoc/XCAFDoc_Volume.cxx
...
Please include class header first >>

Only TDataStd, TDocStd and XCAFDoc? Or all touched? TDF, TNaming?
(0090204)
kgv (developer)
2020-01-30 16:01

> Only TDataStd, TDocStd and XCAFDoc? Or all touched? TDF, TNaming?
In most cases, the issue existed before, but putting "#include <Standard_Dump.hxx>" in front makes it "worse".
So I propose fixing it in all touched files, where "Standard_Dump.hxx" was put not at the end of inclusion list.
(0090216)
git (administrator)
2020-01-30 21:35

Branch CR31313_8 has been created by nds.

SHA-1: 41bd153a433fcd52b89f8686bb8aed15bbcad323


Detailed log of new commits:

Author: nds
Date: Tue Jan 28 12:03:38 2020 +0300

    0031313: Foundation Classes - Dump improvement for classes
    
    - Provide DumpJson for geometrical, ocaf and visualization classes;
    - Change depth parameter of DumpJson (constant is not obligate here)
    - Introduce a new macro for transient objects to be called as the first row in DumpJson: OCCT_DUMP_TRANSIENT_CLASS_BEGIN. We need not put the class name in the macro, using get_type_name of Standard_Transient for it.
    - change implementation of OCCT_DUMP_CLASS_BEGIN and OCCT_DUMP_TRANSIENT_CLASS_BEGIN. It is not an sentry more and it does not create a new hierarchy level. It appends a new row into the output stream: "className": <className>
    - OCCT_DUMP_* does not require semicolon
    - class header is included first in source files of TDataStd, TDocStd, TCAFDoc
(0090220)
git (administrator)
2020-01-31 07:09

Branch CR31313_9 has been created by nds.

SHA-1: 3b1a0f62690b5e924308da7d3faf7aa883357377


Detailed log of new commits:

Author: nds
Date: Tue Jan 28 12:03:38 2020 +0300

    0031313: Foundation Classes - Dump improvement for classes
    
    - Provide DumpJson for geometrical, ocaf and visualization classes;
    - Change depth parameter of DumpJson (constant is not obligate here)
    - Introduce a new macro for transient objects to be called as the first row in DumpJson: OCCT_DUMP_TRANSIENT_CLASS_BEGIN. We need not put the class name in the macro, using get_type_name of Standard_Transient for it.
    - change implementation of OCCT_DUMP_CLASS_BEGIN and OCCT_DUMP_TRANSIENT_CLASS_BEGIN. It is not an sentry more and it does not create a new hierarchy level. It appends a new row into the output stream: "className": <className>
    - OCCT_DUMP_* does not require semicolon
    - class header is included first in source files of TDataStd, TDocStd, TCAFDoc
(0090224)
nds (developer)
2020-01-31 12:10

Dear Kirill

remarks are corrected, please check it on CR31313_9.
Jenkins job is: http://jenkins-test-12.nnov.opencascade.com/view/CR31313_9-master-NDS/ [^]

Thank you in advance, Natalia
(0090226)
nds (developer)
2020-01-31 13:04

Dear Igor,

could you please check doxygen warnings on this build as we agreed yesterday.
Mentioned in remarks from Kirill above. It's a comment in Standard_Dump.hxx:
 "<class_name>key_1\value_1\key_2\value_2</class_name>")

Please, phone if something is wrong.
Thank you in advance, Natalia
(0090239)
bugmaster (administrator)
2020-01-31 17:15

Combination -
OCCT branch : CR31313_9
master SHA - 3b1a0f62690b5e924308da7d3faf7aa883357377
fe4497f3246e6bc1ced97ac331c148f0809ded15
Products branch : WEEK-5 SHA - 0711565f1ee16ea2d6b8b6df75aff21091d0b26d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16997.770000000015 / 17032.770000000073 [-0.21%]
Products
Total CPU difference: 12139.050000000114 / 12148.700000000104 [-0.08%]
Windows-64-VC14:
OCCT
Total CPU difference: 18456.078125 / 18461.609375 [-0.03%]
Products
Total CPU difference: 14176.84375 / 14126.28125 [+0.36%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0090258)
git (administrator)
2020-02-01 21:47

Branch CR31313_9 has been deleted by inv.

SHA-1: 3b1a0f62690b5e924308da7d3faf7aa883357377
(0090259)
git (administrator)
2020-02-01 21:47

Branch CR31313_8 has been deleted by inv.

SHA-1: 41bd153a433fcd52b89f8686bb8aed15bbcad323
(0090263)
git (administrator)
2020-02-01 21:47

Branch CR31313_7 has been deleted by inv.

SHA-1: b5feb171ce0a5ed7897b3b8c5cb3f5ce04dae60e
(0090266)
git (administrator)
2020-02-01 21:47

Branch CR31313_4 has been deleted by inv.

SHA-1: f9ef7742a2e7f9f6cf9167554c4fb7318742eb50
(0090267)
git (administrator)
2020-02-01 21:47

Branch CR31313 has been deleted by inv.

SHA-1: a62ac2e12316c9411aae04c9d2dee129da1aac16

- Related Changesets
occt: master bc73b006
Timestamp: 2020-01-28 09:03:38
Author: nds
Committer: bugmaster
Details ] Diff ]
0031313: Foundation Classes - Dump improvement for classes

- Provide DumpJson for geometrical, ocaf and visualization classes;
- Change depth parameter of DumpJson (constant is not obligate here)
- Introduce a new macro for transient objects to be called as the first row in DumpJson: OCCT_DUMP_TRANSIENT_CLASS_BEGIN. We need not put the class name in the macro, using get_type_name of Standard_Transient for it.
- change implementation of OCCT_DUMP_CLASS_BEGIN and OCCT_DUMP_TRANSIENT_CLASS_BEGIN. It is not an sentry more and it does not create a new hierarchy level. It appends a new row into the output stream: "className": <className>
- OCCT_DUMP_* does not require semicolon
- class header is included first in source files of TDataStd, TDocStd, TCAFDoc
mod - dox/dev_guides/debug/debug.md Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext_3.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveObject.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveObject.hxx Diff ] File ]
mod - src/AIS/AIS_Shape.cxx Diff ] File ]
mod - src/AIS/AIS_Shape.hxx Diff ] File ]
mod - src/AIS/AIS_Trihedron.cxx Diff ] File ]
mod - src/AIS/AIS_Trihedron.hxx Diff ] File ]
mod - src/AppStd/AppStd_Application.cxx Diff ] File ]
mod - src/AppStd/AppStd_Application.hxx Diff ] File ]
mod - src/AppStdL/AppStdL_Application.cxx Diff ] File ]
mod - src/AppStdL/AppStdL_Application.hxx Diff ] File ]
mod - src/Bnd/Bnd_Box.cxx Diff ] File ]
mod - src/Bnd/Bnd_Box.hxx Diff ] File ]
mod - src/Bnd/Bnd_OBB.cxx Diff ] File ]
mod - src/Bnd/Bnd_OBB.hxx Diff ] File ]
mod - src/Bnd/Bnd_Range.cxx Diff ] File ]
mod - src/Bnd/Bnd_Range.hxx Diff ] File ]
mod - src/BRep/BRep_Curve3D.cxx Diff ] File ]
mod - src/BRep/BRep_Curve3D.hxx Diff ] File ]
mod - src/BRep/BRep_CurveOn2Surfaces.cxx Diff ] File ]
mod - src/BRep/BRep_CurveOn2Surfaces.hxx Diff ] File ]
mod - src/BRep/BRep_CurveOnClosedSurface.cxx Diff ] File ]
mod - src/BRep/BRep_CurveOnClosedSurface.hxx Diff ] File ]
mod - src/BRep/BRep_CurveOnSurface.cxx Diff ] File ]
mod - src/BRep/BRep_CurveOnSurface.hxx Diff ] File ]
mod - src/BRep/BRep_CurveRepresentation.cxx Diff ] File ]
mod - src/BRep/BRep_CurveRepresentation.hxx Diff ] File ]
mod - src/BRep/BRep_GCurve.cxx Diff ] File ]
mod - src/BRep/BRep_GCurve.hxx Diff ] File ]
mod - src/BRep/BRep_PointOnCurve.cxx Diff ] File ]
mod - src/BRep/BRep_PointOnCurve.hxx Diff ] File ]
mod - src/BRep/BRep_PointOnCurveOnSurface.cxx Diff ] File ]
mod - src/BRep/BRep_PointOnCurveOnSurface.hxx Diff ] File ]
mod - src/BRep/BRep_PointRepresentation.cxx Diff ] File ]
mod - src/BRep/BRep_PointRepresentation.hxx Diff ] File ]
mod - src/BRep/BRep_PointsOnSurface.cxx Diff ] File ]
mod - src/BRep/BRep_PointsOnSurface.hxx Diff ] File ]
mod - src/BRep/BRep_Polygon3D.cxx Diff ] File ]
mod - src/BRep/BRep_Polygon3D.hxx Diff ] File ]
mod - src/BRep/BRep_PolygonOnClosedSurface.cxx Diff ] File ]
mod - src/BRep/BRep_PolygonOnClosedSurface.hxx Diff ] File ]
mod - src/BRep/BRep_PolygonOnClosedTriangulation.cxx Diff ] File ]
mod - src/BRep/BRep_PolygonOnClosedTriangulation.hxx Diff ] File ]
mod - src/BRep/BRep_PolygonOnSurface.cxx Diff ] File ]
mod - src/BRep/BRep_PolygonOnSurface.hxx Diff ] File ]
mod - src/BRep/BRep_PolygonOnTriangulation.cxx Diff ] File ]
mod - src/BRep/BRep_PolygonOnTriangulation.hxx Diff ] File ]
mod - src/BRep/BRep_TEdge.cxx Diff ] File ]
mod - src/BRep/BRep_TEdge.hxx Diff ] File ]
mod - src/BRep/BRep_TFace.cxx Diff ] File ]
mod - src/BRep/BRep_TFace.hxx Diff ] File ]
mod - src/BRep/BRep_TVertex.cxx Diff ] File ]
mod - src/BRep/BRep_TVertex.hxx Diff ] File ]
mod - src/BVH/BVH_Box.hxx Diff ] File ]
mod - src/BVH/BVH_Tree.hxx Diff ] File ]
mod - src/CDM/CDM_Application.cxx Diff ] File ]
mod - src/CDM/CDM_Application.hxx Diff ] File ]
mod - src/CDM/CDM_Document.cxx Diff ] File ]
mod - src/CDM/CDM_Document.hxx Diff ] File ]
mod - src/CDM/CDM_MetaData.cxx Diff ] File ]
mod - src/CDM/CDM_MetaData.hxx Diff ] File ]
mod - src/CDM/CDM_Reference.cxx Diff ] File ]
mod - src/CDM/CDM_Reference.hxx Diff ] File ]
mod - src/Font/Font_Rect.hxx Diff ] File ]
mod - src/Geom/Geom_BezierCurve.cxx Diff ] File ]
mod - src/Geom/Geom_BezierCurve.hxx Diff ] File ]
mod - src/Geom/Geom_BezierSurface.cxx Diff ] File ]
mod - src/Geom/Geom_BezierSurface.hxx Diff ] File ]
mod - src/Geom/Geom_BoundedCurve.cxx Diff ] File ]
mod - src/Geom/Geom_BoundedCurve.hxx Diff ] File ]
mod - src/Geom/Geom_BSplineCurve.cxx Diff ] File ]
mod - src/Geom/Geom_BSplineCurve.hxx Diff ] File ]
mod - src/Geom/Geom_BSplineSurface.cxx Diff ] File ]
mod - src/Geom/Geom_BSplineSurface.hxx Diff ] File ]
mod - src/Geom/Geom_Circle.cxx Diff ] File ]
mod - src/Geom/Geom_Circle.hxx Diff ] File ]
mod - src/Geom/Geom_Conic.cxx Diff ] File ]
mod - src/Geom/Geom_Conic.hxx Diff ] File ]
mod - src/Geom/Geom_ConicalSurface.cxx Diff ] File ]
mod - src/Geom/Geom_ConicalSurface.hxx Diff ] File ]
mod - src/Geom/Geom_Curve.cxx Diff ] File ]
mod - src/Geom/Geom_Curve.hxx Diff ] File ]
mod - src/Geom/Geom_CylindricalSurface.cxx Diff ] File ]
mod - src/Geom/Geom_CylindricalSurface.hxx Diff ] File ]
mod - src/Geom/Geom_ElementarySurface.cxx Diff ] File ]
mod - src/Geom/Geom_ElementarySurface.hxx Diff ] File ]
mod - src/Geom/Geom_Ellipse.cxx Diff ] File ]
mod - src/Geom/Geom_Ellipse.hxx Diff ] File ]
mod - src/Geom/Geom_Geometry.cxx Diff ] File ]
mod - src/Geom/Geom_Geometry.hxx Diff ] File ]
mod - src/Geom/Geom_Hyperbola.cxx Diff ] File ]
mod - src/Geom/Geom_Hyperbola.hxx Diff ] File ]
mod - src/Geom/Geom_Line.cxx Diff ] File ]
mod - src/Geom/Geom_Line.hxx Diff ] File ]
mod - src/Geom/Geom_OffsetCurve.cxx Diff ] File ]
mod - src/Geom/Geom_OffsetCurve.hxx Diff ] File ]
mod - src/Geom/Geom_OffsetSurface.cxx Diff ] File ]
mod - src/Geom/Geom_OffsetSurface.hxx Diff ] File ]
mod - src/Geom/Geom_OsculatingSurface.cxx Diff ] File ]
mod - src/Geom/Geom_OsculatingSurface.hxx Diff ] File ]
mod - src/Geom/Geom_Parabola.cxx Diff ] File ]
mod - src/Geom/Geom_Parabola.hxx Diff ] File ]
mod - src/Geom/Geom_Plane.cxx Diff ] File ]
mod - src/Geom/Geom_Plane.hxx Diff ] File ]
mod - src/Geom/Geom_RectangularTrimmedSurface.cxx Diff ] File ]
mod - src/Geom/Geom_RectangularTrimmedSurface.hxx Diff ] File ]
mod - src/Geom/Geom_SphericalSurface.cxx Diff ] File ]
mod - src/Geom/Geom_SphericalSurface.hxx Diff ] File ]
mod - src/Geom/Geom_Surface.cxx Diff ] File ]
mod - src/Geom/Geom_Surface.hxx Diff ] File ]
mod - src/Geom/Geom_SurfaceOfLinearExtrusion.cxx Diff ] File ]
mod - src/Geom/Geom_SurfaceOfLinearExtrusion.hxx Diff ] File ]
mod - src/Geom/Geom_SurfaceOfRevolution.cxx Diff ] File ]
mod - src/Geom/Geom_SurfaceOfRevolution.hxx Diff ] File ]
mod - src/Geom/Geom_SweptSurface.cxx Diff ] File ]
mod - src/Geom/Geom_SweptSurface.hxx Diff ] File ]
mod - src/Geom/Geom_ToroidalSurface.cxx Diff ] File ]
mod - src/Geom/Geom_ToroidalSurface.hxx Diff ] File ]
mod - src/Geom/Geom_Transformation.cxx Diff ] File ]
mod - src/Geom/Geom_Transformation.hxx Diff ] File ]
mod - src/Geom/Geom_TrimmedCurve.cxx Diff ] File ]
mod - src/Geom/Geom_TrimmedCurve.hxx Diff ] File ]
mod - src/Geom2d/Geom2d_BezierCurve.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_BezierCurve.hxx Diff ] File ]
mod - src/Geom2d/Geom2d_BoundedCurve.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_BoundedCurve.hxx Diff ] File ]
mod - src/Geom2d/Geom2d_BSplineCurve.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_BSplineCurve.hxx Diff ] File ]
mod - src/Geom2d/Geom2d_CartesianPoint.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_CartesianPoint.hxx Diff ] File ]
mod - src/Geom2d/Geom2d_Circle.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_Circle.hxx Diff ] File ]
mod - src/Geom2d/Geom2d_Conic.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_Conic.hxx Diff ] File ]
mod - src/Geom2d/Geom2d_Curve.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_Curve.hxx Diff ] File ]
mod - src/Geom2d/Geom2d_Ellipse.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_Ellipse.hxx Diff ] File ]
mod - src/Geom2d/Geom2d_Geometry.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_Geometry.hxx Diff ] File ]
mod - src/Geom2d/Geom2d_Hyperbola.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_Hyperbola.hxx Diff ] File ]
mod - src/Geom2d/Geom2d_Line.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_Line.hxx Diff ] File ]
mod - src/Geom2d/Geom2d_OffsetCurve.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_OffsetCurve.hxx Diff ] File ]
mod - src/Geom2d/Geom2d_Parabola.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_Parabola.hxx Diff ] File ]
mod - src/Geom2d/Geom2d_Point.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_Point.hxx Diff ] File ]
mod - src/Geom2d/Geom2d_TrimmedCurve.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_TrimmedCurve.hxx Diff ] File ]
mod - src/gp/gp_Ax1.cxx Diff ] File ]
mod - src/gp/gp_Ax1.hxx Diff ] File ]
mod - src/gp/gp_Ax2.cxx Diff ] File ]
mod - src/gp/gp_Ax2.hxx Diff ] File ]
mod - src/gp/gp_Ax22d.cxx Diff ] File ]
mod - src/gp/gp_Ax22d.hxx Diff ] File ]
mod - src/gp/gp_Ax2d.cxx Diff ] File ]
mod - src/gp/gp_Ax2d.hxx Diff ] File ]
mod - src/gp/gp_Ax3.cxx Diff ] File ]
mod - src/gp/gp_Ax3.hxx Diff ] File ]
mod - src/gp/gp_Dir.cxx Diff ] File ]
mod - src/gp/gp_Dir.hxx Diff ] File ]
mod - src/gp/gp_Dir2d.cxx Diff ] File ]
mod - src/gp/gp_Dir2d.hxx Diff ] File ]
mod - src/gp/gp_GTrsf.cxx Diff ] File ]
mod - src/gp/gp_GTrsf.hxx Diff ] File ]
mod - src/gp/gp_Mat.cxx Diff ] File ]
mod - src/gp/gp_Mat.hxx Diff ] File ]
mod - src/gp/gp_Pln.cxx Diff ] File ]
mod - src/gp/gp_Pln.hxx Diff ] File ]
mod - src/gp/gp_Pnt.cxx Diff ] File ]
mod - src/gp/gp_Pnt.hxx Diff ] File ]
mod - src/gp/gp_Pnt2d.cxx Diff ] File ]
mod - src/gp/gp_Pnt2d.hxx Diff ] File ]
mod - src/gp/gp_Trsf.cxx Diff ] File ]
mod - src/gp/gp_Trsf.hxx Diff ] File ]
mod - src/gp/gp_XYZ.cxx Diff ] File ]
mod - src/gp/gp_XYZ.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Aspects.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Aspects.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_BoundBuffer.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_BSDF.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_BSDF.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Buffer.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Buffer.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Camera.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Camera.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ClipPlane.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ClipPlane.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CStructure.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CStructure.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Group.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Group.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_HatchStyle.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_HatchStyle.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_IndexBuffer.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Layer.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Layer.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_MaterialAspect.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_MaterialAspect.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_PBRMaterial.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_PBRMaterial.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_PolygonOffset.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_PolygonOffset.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_PresentationAttributes.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_PresentationAttributes.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_SequenceOfHClipPlane.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_SequenceOfHClipPlane.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_TransformPers.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_TransformPers.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ViewAffinity.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ViewAffinity.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ZLayerSettings.hxx Diff ] File ]
mod - src/Image/Image_Texture.cxx Diff ] File ]
mod - src/Image/Image_Texture.hxx Diff ] File ]
mod - src/NCollection/NCollection_Buffer.hxx Diff ] File ]
mod - src/NCollection/NCollection_Mat4.hxx Diff ] File ]
mod - src/NCollection/NCollection_Vec3.hxx Diff ] File ]
mod - src/NCollection/NCollection_Vec4.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Aspects.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Aspects.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Element.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Element.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Flipper.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Flipper.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameStatsPrs.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameStatsPrs.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraduatedTrihedron.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraduatedTrihedron.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Group.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Group.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_IndexBuffer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_IndexBuffer.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_MatrixState.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Resource.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_StencilTest.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_StencilTest.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_VertexBuffer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_VertexBuffer.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]
mod - src/Poly/Poly_Polygon2D.cxx Diff ] File ]
mod - src/Poly/Poly_Polygon2D.hxx Diff ] File ]
mod - src/Poly/Poly_Polygon3D.cxx Diff ] File ]
mod - src/Poly/Poly_Polygon3D.hxx Diff ] File ]
mod - src/Poly/Poly_PolygonOnTriangulation.cxx Diff ] File ]
mod - src/Poly/Poly_PolygonOnTriangulation.hxx Diff ] File ]
mod - src/Poly/Poly_Triangulation.cxx Diff ] File ]
mod - src/Poly/Poly_Triangulation.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_ArrowAspect.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_ArrowAspect.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_BasicAspect.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_DatumAspect.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_DatumAspect.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_DimensionAspect.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_DimensionAspect.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_Drawer.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_Drawer.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_LineAspect.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_LineAspect.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_PlaneAspect.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_PlaneAspect.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_PointAspect.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_PointAspect.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_PresentationShadow.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_PresentationShadow.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_ShadingAspect.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_ShadingAspect.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_TextAspect.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_TextAspect.hxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentableObject.hxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_Presentation.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_Presentation.hxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - src/Quantity/Quantity_Color.cxx Diff ] File ]
mod - src/Quantity/Quantity_Color.hxx Diff ] File ]
mod - src/Quantity/Quantity_ColorRGBA.cxx Diff ] File ]
mod - src/Quantity/Quantity_ColorRGBA.hxx Diff ] File ]
mod - src/Select3D/Select3D_InteriorSensitivePointSet.cxx Diff ] File ]
mod - src/Select3D/Select3D_InteriorSensitivePointSet.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveBox.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveBox.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveEntity.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveEntity.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveFace.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveFace.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveGroup.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveGroup.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoint.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoint.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoly.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoly.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePrimitiveArray.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePrimitiveArray.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveSegment.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveSegment.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveSet.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveSet.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveTriangle.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveTriangle.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveTriangulation.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveTriangulation.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveWire.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveWire.hxx Diff ] File ]
mod - src/SelectBasics/SelectBasics_SelectingVolumeManager.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_BaseFrustum.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_BaseFrustum.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_EntityOwner.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_EntityOwner.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObject.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObject.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObjectSet.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObjectSet.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectingVolumeManager.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectingVolumeManager.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_Selection.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_Selection.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SensitiveEntity.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SensitiveEntity.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewClipRange.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewClipRange.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector.hxx Diff ] File ]
mod - src/Standard/Standard_Dump.cxx Diff ] File ]
mod - src/Standard/Standard_Dump.hxx Diff ] File ]
mod - src/StdSelect/StdSelect_BRepOwner.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_BRepOwner.hxx Diff ] File ]
mod - src/StdSelect/StdSelect_Shape.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_Shape.hxx Diff ] File ]
mod - src/StdSelect/StdSelect_ViewerSelector3d.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_ViewerSelector3d.hxx Diff ] File ]
mod - src/TDataStd/TDataStd.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_AsciiString.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_AsciiString.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_BooleanArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_BooleanArray.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_BooleanList.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_BooleanList.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_ByteArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ByteArray.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_ChildNodeIterator.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Comment.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Comment.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_Current.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Current.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_DeltaOnModificationOfByteArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_DeltaOnModificationOfExtStringArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_DeltaOnModificationOfIntArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_DeltaOnModificationOfIntPackedMap.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_DeltaOnModificationOfRealArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Directory.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Directory.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_Expression.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Expression.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_ExtStringArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ExtStringArray.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_ExtStringList.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ExtStringList.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_HDataMapOfStringByte.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_HDataMapOfStringHArray1OfInteger.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_HDataMapOfStringHArray1OfReal.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_HDataMapOfStringInteger.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_HDataMapOfStringReal.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_HDataMapOfStringString.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Integer.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Integer.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_IntegerArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_IntegerArray.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_IntegerList.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_IntegerList.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_IntPackedMap.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_IntPackedMap.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_Name.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Name.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_NamedData.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_NamedData.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_NoteBook.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_NoteBook.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_Real.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Real.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_RealArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_RealArray.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_RealList.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_RealList.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_ReferenceArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ReferenceArray.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_ReferenceList.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ReferenceList.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_Relation.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Relation.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_Tick.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Tick.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_TreeNode.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_TreeNode.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_UAttribute.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_UAttribute.hxx Diff ] File ]
mod - src/TDataStd/TDataStd_Variable.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_Variable.hxx Diff ] File ]
mod - src/TDF/TDF_Attribute.cxx Diff ] File ]
mod - src/TDF/TDF_Attribute.hxx Diff ] File ]
mod - src/TDF/TDF_AttributeDelta.cxx Diff ] File ]
mod - src/TDF/TDF_AttributeDelta.hxx Diff ] File ]
mod - src/TDF/TDF_Data.cxx Diff ] File ]
mod - src/TDF/TDF_Data.hxx Diff ] File ]
mod - src/TDF/TDF_Delta.cxx Diff ] File ]
mod - src/TDF/TDF_Delta.hxx Diff ] File ]
mod - src/TDF/TDF_DeltaOnResume.cxx Diff ] File ]
mod - src/TDF/TDF_DeltaOnResume.hxx Diff ] File ]
mod - src/TDF/TDF_Reference.cxx Diff ] File ]
mod - src/TDF/TDF_Reference.hxx Diff ] File ]
mod - src/TDF/TDF_TagSource.cxx Diff ] File ]
mod - src/TDF/TDF_TagSource.hxx Diff ] File ]
mod - src/TDF/TDF_Transaction.cxx Diff ] File ]
mod - src/TDF/TDF_Transaction.hxx Diff ] File ]
mod - src/TDocStd/TDocStd.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Application.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Application.hxx Diff ] File ]
mod - src/TDocStd/TDocStd_ApplicationDelta.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_CompoundDelta.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Document.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Document.hxx Diff ] File ]
mod - src/TDocStd/TDocStd_Modified.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_MultiTransactionManager.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Owner.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Owner.hxx Diff ] File ]
mod - src/TDocStd/TDocStd_PathParser.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_XLink.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_XLinkIterator.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_XLinkRoot.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_XLinkTool.cxx Diff ] File ]
mod - src/TNaming/TNaming_Name.cxx Diff ] File ]
mod - src/TNaming/TNaming_Name.hxx Diff ] File ]
mod - src/TNaming/TNaming_NamedShape.cxx Diff ] File ]
mod - src/TNaming/TNaming_NamedShape.hxx Diff ] File ]
mod - src/TNaming/TNaming_Naming.cxx Diff ] File ]
mod - src/TNaming/TNaming_Naming.hxx Diff ] File ]
mod - src/TNaming/TNaming_RefShape.hxx Diff ] File ]
mod - src/TNaming/TNaming_UsedShapes.cxx Diff ] File ]
mod - src/TNaming/TNaming_UsedShapes.hxx Diff ] File ]
mod - src/TObj/TObj_Application.cxx Diff ] File ]
mod - src/TObj/TObj_Application.hxx Diff ] File ]
mod - src/TopLoc/TopLoc_Datum3D.cxx Diff ] File ]
mod - src/TopLoc/TopLoc_Datum3D.hxx Diff ] File ]
mod - src/TopLoc/TopLoc_ItemLocation.cxx Diff ] File ]
mod - src/TopLoc/TopLoc_ItemLocation.hxx Diff ] File ]
mod - src/TopLoc/TopLoc_Location.cxx Diff ] File ]
mod - src/TopLoc/TopLoc_Location.hxx Diff ] File ]
mod - src/TopoDS/TopoDS_Shape.cxx Diff ] File ]
mod - src/TopoDS/TopoDS_Shape.hxx Diff ] File ]
mod - src/TopoDS/TopoDS_TShape.cxx Diff ] File ]
mod - src/TopoDS/TopoDS_TShape.hxx Diff ] File ]
mod - src/V3d/V3d_Viewer.cxx Diff ] File ]
mod - src/V3d/V3d_Viewer.hxx Diff ] File ]
mod - src/XCAFApp/XCAFApp_Application.cxx Diff ] File ]
mod - src/XCAFApp/XCAFApp_Application.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Area.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Area.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_AssemblyItemId.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_AssemblyItemId.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_AssemblyItemRef.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_AssemblyItemRef.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Centroid.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Centroid.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ClippingPlaneTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ClippingPlaneTool.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Color.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Color.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ColorTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ColorTool.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Datum.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Datum.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Dimension.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Dimension.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_DimTol.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_DimTol.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_DimTolTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_DimTolTool.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_DocumentTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_DocumentTool.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_GeomTolerance.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_GeomTolerance.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_GraphNode.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_GraphNode.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_LayerTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_LayerTool.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Location.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Location.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Material.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Material.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_MaterialTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_MaterialTool.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Note.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Note.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_NoteBalloon.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_NoteBinData.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_NoteComment.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_NotesTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_NotesTool.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ShapeMapTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ShapeMapTool.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ShapeTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ShapeTool.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_View.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_View.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ViewTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ViewTool.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_VisMaterial.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_VisMaterial.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_VisMaterialCommon.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_VisMaterialPBR.hxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Volume.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Volume.hxx Diff ] File ]
mod - src/XCAFPrs/XCAFPrs_Style.cxx Diff ] File ]
mod - src/XCAFPrs/XCAFPrs_Style.hxx Diff ] File ]
mod - tests/bugs/vis/bug30949 Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-01-23 11:17 nds New Issue
2020-01-23 11:17 nds Assigned To => abv
2020-01-23 11:18 nds Assigned To abv => nds
2020-01-24 09:55 git Note Added: 0090037
2020-01-24 10:02 nds Note Added: 0090038
2020-01-24 10:02 nds Assigned To nds => kgv
2020-01-24 10:02 nds Status new => resolved
2020-01-24 10:09 nds File Added: dump_presentation.png
2020-01-24 10:10 nds Note Added: 0090039
2020-01-24 11:26 kgv Note Added: 0090040
2020-01-24 14:40 kgv Note Added: 0090045
2020-01-24 14:47 kgv Note Added: 0090046
2020-01-24 14:51 kgv Additional Information Updated View Revisions
2020-01-24 14:54 kgv Note Added: 0090047
2020-01-24 14:54 kgv Assigned To kgv => nds
2020-01-24 14:54 kgv Status resolved => assigned
2020-01-24 14:57 kgv Note Added: 0090048
2020-01-27 11:01 git Note Added: 0090072
2020-01-27 11:14 nds Note Added: 0090073
2020-01-27 16:48 git Note Added: 0090075
2020-01-28 07:36 git Note Added: 0090084
2020-01-28 10:12 git Note Added: 0090088
2020-01-28 10:19 nds Relationship added parent of 0031322
2020-01-28 10:21 nds Relationship added related to 0030949
2020-01-28 11:23 git Note Added: 0090090
2020-01-28 11:59 git Note Added: 0090093
2020-01-28 12:07 git Note Added: 0090094
2020-01-28 15:29 git Note Added: 0090100
2020-01-28 16:52 git Note Added: 0090102
2020-01-28 18:32 nds Relationship added parent of 0031326
2020-01-29 10:57 git Note Added: 0090127
2020-01-29 12:10 git Note Added: 0090130
2020-01-29 12:13 git Note Added: 0090131
2020-01-29 12:38 git Note Added: 0090133
2020-01-29 12:40 git Note Added: 0090135
2020-01-29 12:41 git Note Added: 0090137
2020-01-29 16:46 git Note Added: 0090150
2020-01-29 17:36 git Note Added: 0090163
2020-01-29 21:40 nds Note Added: 0090172
2020-01-29 21:40 nds Assigned To nds => kgv
2020-01-29 21:40 nds Status assigned => resolved
2020-01-30 08:32 nds Note Edited: 0090172 View Revisions
2020-01-30 08:44 git Note Added: 0090186
2020-01-30 08:44 git Note Added: 0090187
2020-01-30 11:45 kgv Note Added: 0090197
2020-01-30 11:45 kgv Assigned To kgv => nds
2020-01-30 11:45 kgv Status resolved => assigned
2020-01-30 12:09 kgv Relationship replaced child of 0030949
2020-01-30 15:56 nds Note Added: 0090202
2020-01-30 16:01 kgv Note Added: 0090204
2020-01-30 21:35 git Note Added: 0090216
2020-01-31 07:09 git Note Added: 0090220
2020-01-31 12:10 nds Note Added: 0090224
2020-01-31 12:10 nds Assigned To nds => kgv
2020-01-31 12:10 nds Status assigned => resolved
2020-01-31 12:44 kgv Assigned To kgv => bugmaster
2020-01-31 12:44 kgv Status resolved => reviewed
2020-01-31 13:04 nds Note Added: 0090226
2020-01-31 17:15 bugmaster Note Added: 0090239
2020-01-31 17:15 bugmaster Status reviewed => tested
2020-02-01 21:28 bugmaster Changeset attached => occt master bc73b006
2020-02-01 21:28 bugmaster Status tested => verified
2020-02-01 21:28 bugmaster Resolution open => fixed
2020-02-01 21:47 git Note Added: 0090258
2020-02-01 21:47 git Note Added: 0090259
2020-02-01 21:47 git Note Added: 0090263
2020-02-01 21:47 git Note Added: 0090266
2020-02-01 21:47 git Note Added: 0090267
2020-02-06 16:42 sshutina Relationship added parent of 0031354
2020-04-11 11:04 nds Relationship added parent of 0031494
2020-06-29 10:09 nds Relationship added parent of 0031640
2020-07-04 12:31 bugmaster Test case number => Not required


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker